iogen(1)

NAME
iogen - Generate I/O Requests

IMPLEMENTATION
All Cray Research systems

SYNOPSIS
iogen

DESCRIPTION
Iogen is one of the device-beater tools.

Options:

    -f [opt]
        open flags: raw, sync, ssd, ldraw, buffered

    -i [opt]
        Number of iterations to run. 0 implies infinite.

    -q

    -m [opt]
        Offset mode. One of: random, sequential, reverse.

    -o  Overlap flag.

    -p [opt]
        output pipe (default is stdout)

    -r [opt]
        specify raw io multiple instead of getting it from the mounted on device. Only applies to regular files.

    -s [opt]
        System calls to use for I/O. A list of: read, write, reada, writea, ssread, sswrite

    -t [opt]
        min transfer size

    -T [opt]
        max transfer size

AUTHOR
Mark Maule wrote the code.
Glen Overby wrote the man page.

BUGS
See "Features".